Subject: bug#26714: non-intel systems should use grub-efi

From: Marius Bakke <[email-masked]>
Date: Sun, 30 Apr 2017 16:10:08 +0200

Efraim Flashner <[email-masked]> writes:

> I'm starting to stumble my way through building an install image for
> aarch64, and I changed gnu/system/install.scm to use 'grub-efi' in place
> of 'grub' in the list of packages (~line 333). Grub-efi builds
> successfully on armhf and aarch64 and grub does not, and as part of
> compiling install.scm grub is built as part of assembling the image.

How does grub fail to build aarch64? This sounds like an upstream bug.

Note that 'grub-efi' currently does not have tests enabled.